﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RedCritterConnecter.Samples;

namespace GetUserProfileVersionSample
{
    public partial class Form1 : Form
    {
        private GetUserProfileVersion GetUserProfileVersion = new GetUserProfileVersion();

        public Form1()
        {
            InitializeComponent();
          
            GetUserProfileVersion.onGetUserProfileVersionResponse += GetUserProfileVersion_onGetUserProfileVersionResponse;
            GetUserProfileVersion.onGetUserProfileVersionResponseError += GetUserProfileVersion_onGetUserProfileVersionResponseError;
        }

        private void bGetUserProfileVersion_Click(object sender, EventArgs e)
        {
          
            GetUserProfileVersion.Execute(tUserID.Text);
        }

        void GetUserProfileVersion_onGetUserProfileVersionResponseError(GetUserProfileVersionResponse GetUserProfileVersionResponse)
        {
            lResult.Text = "GetUserProfileVersion call failed";
        }

        void GetUserProfileVersion_onGetUserProfileVersionResponse(GetUserProfileVersionResponse GetUserProfileVersionResponse)
        {
            lResult.Text = "GetUserProfileVersion call was successfully submitted";

            txtTeamProfile.Text += "UserID = " + GetUserProfileVersionResponse.UserID;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "Version = " + GetUserProfileVersionResponse.Version;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionAccolades = " + GetUserProfileVersionResponse.VersionAccolades;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionAppDomains = " + GetUserProfileVersionResponse.VersionAppDomains;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionApps = " + GetUserProfileVersionResponse.VersionApps;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionBadges = " + GetUserProfileVersionResponse.VersionBadges;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionCerts = " + GetUserProfileVersionResponse.VersionCerts;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionFeed = " + GetUserProfileVersionResponse.VersionFeed;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionLeaderboards = " + GetUserProfileVersionResponse.VersionLeaderboards;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionProfile = " + GetUserProfileVersionResponse.VersionProfile;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionRewards = " + GetUserProfileVersionResponse.VersionRewards;
                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "VersionSkills = " + GetUserProfileVersionResponse.VersionSkills;
                txtTeamProfile.Text += "\r\n";

                txtTeamProfile.Text += "\r\n";
                txtTeamProfile.Text += "\r\n";
            

            
        }



    }
}
